/***************************************************************************
**
**    $Header:   D:/EPSLDV1/SRC/LOG/BCOPTION.CPP   1.5   20 Jun 1996 09:29:52   ZJRD  $
**
**    $Log:   D:/EPSLDV1/SRC/LOG/BCOPTION.CPP  $
** 
**    Rev 1.5   20 Jun 1996 09:29:52   ZJRD
** EasyPack/SLD Version 1.20a
** 
**    Rev 1.3   10 Jun 1996 10:24:30   ZJRD
** EasyPack/SLD Version 1.20
** 
**    Rev 1.1   29 May 1996 09:36:32   ZJRD
** EasyPack/SLD Version 1.95
** 
****************************************************************************/

/////////////////////////////////////////////////////////////////////////////
// bc.cpp
//
// Michael Long
//                                                                           
// 5/16/96
//
/////////////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "resource.h"

#include "toolopt.h"
#include "bc.h"
#include "bcoption.h"

#ifdef _DEBUG
#undef THIS_FILE
static char BASED_CODE THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// BCOption dialog


BCOption::BCOption(BCTool * pTool)
    : CPropertyPage(BCOption::IDD)
{                                
    ASSERT(pTool);
    
    m_pTool = pTool;          
    
    LoadData();

    //{{AFX_DATA_INIT(BCOption)
   
    //}}AFX_DATA_INIT
}

void BCOption::DoDataExchange(CDataExchange* pDX)
{
    CPropertyPage::DoDataExchange(pDX);
    //{{AFX_DATA_MAP(BCOption)
    DDX_CBIndex(pDX, IDD_BCOPT_MODEL, m_nMemoryModel);
    DDX_CBIndex(pDX, IDD_BCOPT_OPT, m_nOptimize);
    DDX_Text(pDX, IDD_BCOPT_EDIT, m_strMore);
    DDX_Check(pDX, IDD_BCOPT_CHECK2, m_fStrInVariable);
    DDX_Check(pDX, IDD_BCOPT_CHECK3, m_fSChar);
    DDX_Check(pDX, IDD_BCOPT_CHECK1, m_fNoWarn);
    DDX_Text(pDX, IDC_BCOPT_PATH_EDIT, m_strPath);
    //}}AFX_DATA_MAP
}

void BCOption::SaveData(void)
{                                  
//  UpdateData(TRUE);

    m_pTool->m_nMemoryModel = m_nMemoryModel;
    m_pTool->m_nOptimize    = m_nOptimize;
    m_pTool->m_strMore      = m_strMore;
    m_pTool->m_fStrInVariable = m_fStrInVariable;
    m_pTool->m_fSChar       = m_fSChar;
    m_pTool->m_fNoWarn      = m_fNoWarn; 
    m_pTool->m_strPath      = m_strPath;
}

void BCOption::LoadData(void)
{
    m_nMemoryModel = m_pTool->m_nMemoryModel;
    m_nOptimize    = m_pTool->m_nOptimize;
    m_strMore      = m_pTool->m_strMore;
    m_fStrInVariable    = m_pTool->m_fStrInVariable;
    m_fSChar       = m_pTool->m_fSChar;
    m_fNoWarn      = m_pTool->m_fNoWarn;
    m_strPath      = m_pTool->m_strPath;
}

BEGIN_MESSAGE_MAP(BCOption, CPropertyPage)
    //{{AFX_MSG_MAP(BCOption)
        // NOTE: the ClassWizard will add message map macros here
    //}}AFX_MSG_MAP
END_MESSAGE_MAP()


/////////////////////////////////////////////////////////////////////////////
// BCOption message handlers
